SELECT 'dynamic' AS component, sqlpage.run_sql('sqlpage/QR.sql') AS properties;
SET view = COALESCE($content, '') <> '';
SELECT 'button' AS component;
SELECT 'Open' AS title
, 1 AS width
, $tabler_color AS color
, '/upload/open.sql?' AS link
;
SELECT 'New' AS title
, 1 AS width
, 'gray-500' AS color
, '/upload.sql?' AS link
;
SELECT 'Download' AS title
, 2 AS width
, 'gray-500' AS color
, '/upload/download.sql?hash='||$hash AS link
;

SELECT 'form' AS component
, '/upload.sql' AS action
, 'Upload' AS validate
, 'post' AS method
, $tabler_color AS validate_color
WHERE NOT $view
;
SELECT 'Upload' AS value
, '' AS label
, 'hidden' AS type
, 'action' AS name
WHERE NOT $view
;
SELECT 'content' AS name
, CASE $view WHEN FALSE THEN 'file' ELSE 'hidden' END AS type
, '' AS label
--, $view AS disabled
, CASE COALESCE($action, '')
  WHEN 'New' THEN NULL
  ELSE $content
END AS value
WHERE NOT $view
;
