SET content = (
SELECT content
FROM clip
WHERE hash = $hash AND $tool = 'clip'
UNION
SELECT content
FROM goto
WHERE hash = $hash AND $tool = 'goto'
);

SET qr = (
SELECT qr
FROM clip
WHERE hash = $hash AND $tool = 'clip'
UNION
SELECT qr
FROM goto
WHERE hash = $hash AND $tool = 'goto'
);

SET inner = CASE COALESCE($content,'') = ''
  WHEN TRUE THEN 'sqlpage/alert.sql'
  ELSE $tool||'/form.sql'
END;

SET icon = 'error-404';
SET status = '404';
SET title = $status||' - Not found';
SET description = 'No such '||$tool||': '||$hash;
SELECT 'dynamic' AS component, sqlpage.run_sql($inner) AS properties;